Performancing Metrics

Wednesday, May 17, 2017

How do you evenly distribute objects in AutoCAD?

I am building a diagram in autocad 2002 and was wondering if there was a way to evenly distribute objects along the x or y axis. I’m trying to make it so there is equal spacing between all the objects

If you found this post helpful, do my a favor and please press the Facebook “like” button below. 

Comments

2 Responses to “How do you evenly distribute objects in AutoCAD?”
  1. Danny says:

    You want a certain number of equal spaces within a certain distance?
    Draw a line the entire distance.
    Use the DIVIDE command.
    It will prompt you to select the line and tell how many spaces.
    Then it will arrange invisible points along the line.
    You can erase the line or snap to node.

    Another way is scale down your line by the number of spaces… that gives you the length of 1 space, then copy over the same distance.

    If your objects take up space… you can shorten your line by the total space your objects will take up before you scale it.

  2. Blue Djinn says:

    Use the ARRAY command.

    You can create copies of objects in a rectangular or polar (circular) pattern called an array. For rectangular arrays, you control the number of rows and columns and the distance between each. For polar arrays, you control the number of copies of the object and whether the copies are rotated. To create many regularly spaced objects, arraying is faster than copying.

    Create Rectangular Arrays
    AutoCAD builds a rectangular array along a baseline defined by the current snap rotation angle. This angle is zero by default, so the rows and columns of a rectangular array are orthogonal with respect to the X and Y axes. The default angle 0 direction setting can be changed in UNITS.

    For Unique Objects use Danny’s method above (i.e equally space nodes that can be snapped to along a construction line). This AutoLISP routine makes the node placement easy:
    ;;
    ;; DIV.lsp – easy entity dividing using node crosshairs
    ;; to denote division points.
    ;; by Jim Branberg, revised on 10.28.97
    ;;
    (defun c:div( / wow)
    (prompt “nEnter number of division segments:”)
    (setq SEGS (read-line))
    (setq wow (getvar “osmode”))
    (setvar “osmode” 512)
    (setq fn (getpoint “nPick entity to divide:”))
    (setvar “osmode” wow)
    (setq wow (getvar “pdmode”))
    (setvar “pdmode” 3)
    (command “divide” fn segs)
    ;; (setvar “pdmode” wow)
    )
    (princ “n Start line divider with DIV”)
    (princ)

Speak Your Mind

Tell us what you're thinking...
and oh, if you want a pic to show with your comment, go get a gravatar!

What is 6 + 10 ?
Please leave these two fields as-is:
IMPORTANT! To be able to proceed, you need to solve the following simple math (so we know that you are a human) :-)